# getPodClass abstract method

Future<Class> getPodClass(

1. String podName

)

Retrieves the Class object for the specified pod name.

This method is useful for reflection-based operations or when you need to inspect the type of a pod at runtime.

## Usage Example:

    final podClass = await factory.getPodClass('userRepository');
    print('Pod class: ${podClass.name}');

@param podName The name of the pod to get the class for @return A Future that completes with the Class object of the pod

## Implementation

    Future<Class> getPodClass(String podName);